| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions

# Tp::ProtocolInfo Class Reference
[Connection manager proxies]

Object representing a Telepathy protocol info. More...

`#include <TelepathyQt4/ConnectionManager>`

List of all members.

## Public Member Functions

- ~ProtocolInfo ()
- QString cmName () const
- QString name () const
- const ProtocolParameterList & parameters () const
- bool hasParameter (const QString &name) const
- bool canRegister () const
- ConnectionCapabilities * capabilities () const
- QString vcardField () const
- QString englishName () const
- QString iconName () const

## Detailed Description

Object representing a Telepathy protocol info.

## Constructor & Destructor Documentation

Tp::ProtocolInfo::~ProtocolInfo | ( |  | ) |

Class destructor.

## Member Function Documentation

QString Tp::ProtocolInfo::cmName | ( |  | ) | const

Return the short name of the connection manager (e.g. "gabble").

Returns:
  The name of the connection manager.

QString Tp::ProtocolInfo::name | ( |  | ) | const

Return the string identifying the protocol as described in the Telepathy D-Bus API Specification (e.g. "jabber").

This identifier is not intended to be displayed to users directly; user interfaces are responsible for mapping them to localized strings.

Returns:
  A string identifying the protocol.

const ProtocolParameterList & Tp::ProtocolInfo::parameters | ( |  | ) | const

Return all supported parameters. The parameters' names may either be the well-known strings specified by the Telepathy D-Bus API Specification (e.g. "account" and "password"), or implementation-specific strings.

Returns:
  A list of parameters.

bool Tp::ProtocolInfo::hasParameter | ( | const QString & | name | ) | const

Return whether a given parameter can be passed to the connection manager when creating a connection to this protocol.

Parameters:

  | name | The name of a parameter.

Returns:
  true if the given parameter exists.

bool Tp::ProtocolInfo::canRegister | ( |  | ) | const

Return whether it might be possible to register new accounts on this protocol, by setting the special parameter named `register` to `true`.

Returns:
  The same thing as hasParameter("register").

See also:
  hasParameter()

ConnectionCapabilities * Tp::ProtocolInfo::capabilities | ( |  | ) | const

Return the capabilities that are expected to be available from a connection to this protocol, i.e. those for which Connection::createChannel() can reasonably be expected to succeed. User interfaces can use this information to show or hide UI components.

Returns:
  An object representing the capabilities expected to be available from a connection to this protocol.

QString Tp::ProtocolInfo::vcardField | ( |  | ) | const

Return the name of the most common vCard field used for this protocol's contact identifiers, normalized to lower case.

One valid use of this field is to answer the question: given a contact's vCard containing an X-JABBER field, how can you communicate with the contact? By iterating through protocols looking for an x-jabber VCardField, one can build up a list of protocols that handle x-jabber, then offer the user a list of accounts for those protocols and/or the option to create a new account for one of those protocols. It is not necessarily valid to interpret contacts' identifiers as values of this vCard field. For instance, telepathy-sofiasip supports contacts whose identifiers are of the form sip:jenny@example.com or tel:8675309, which would not normally both be represented by any single vCard field.

Returns:
  The most common vCard field used for this protocol's contact identifiers, or an empty string if there is no such field.

QString Tp::ProtocolInfo::englishName | ( |  | ) | const

Return the English-language name of the protocol, such as "AIM" or "Yahoo!".

The name can be used as a fallback if an application doesn't have a localized name for the protocol.

If the manager file or the CM service doesn't specify the english name, it is inferred from the protocol name, such that for example "google-talk" becomes "Google Talk", but "local-xmpp" becomes "Local Xmpp".

Returns:
  An English-language name for the protocol.

QString Tp::ProtocolInfo::iconName | ( |  | ) | const

Return the name of an icon for the protocol in the system's icon theme, such as "im-msn".

If the manager file or the CM service doesn't specify the icon name, "im-<protocolname>" is assumed.

Returns:
  The likely name of an icon for the given protocol.